/*
 * <one line to give the library's name and an idea of what it does.>
 * Copyright (C) 2016  Dirk Lindner <email>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "qpdbwidget.h"
#include "ui_qpdbwidget.h"
#include <QLineEdit>

QPdbWidget::QPdbWidget(QWidget *parent) : QWidget(parent) 
{
    setupUi(this);
    connect(evalLine,SIGNAL(returnPressed(QString)),this,SLOT(expr(QString)) );
}
void QPdbWidget::setText(QString str)
{
  pdbOutput->setText(str);
}
void QPdbWidget::clear()
{
  pdbOutput->clear();
}
#include <QMessageBox>
void QPdbWidget::append(QString str,int maxLength)
{
  QString txt = pdbOutput->text();
  txt += str;
  QStringList lst = txt.split("\n");
  pdbOutput->clear();
  for( int i = lst.count()-maxLength > 0 ? lst.count()-maxLength: 0 ; i<lst.count();i++ )
      pdbOutput->append(lst.at(i));
}
void QPdbWidget::expr(QString str){
  emit excute(str);
}


