/*
 * QPdbWidget Perl Debug Widget
 * Copyright (C) 2016  Dirk Lindner <dirk.lze@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef QPDBWIDGET_H
#define QPDBWIDGET_H

#include <qt4/QtGui/QWidget>
#include "ui_qpdbwidget.h"

namespace Ui
{
class QPdbWidget;
}
class QPdbWidget : public QWidget , public Ui::QPdbWidget
{
    Q_OBJECT
public:
    QPdbWidget(QWidget *parent);
    void setText(QString);
    void clear();
    void append(QString str,int maxLength =500);
public slots:
  void expr(QString);
signals:
  void excute(QString);
private:
    Ui::QPdbWidget* ui;
};

#endif // QPDBWIDGET_H
